Bug 1463389 - sat6 save button broken after changing rhsm details to sat6 setup
sat6 save button broken after changing rhsm details to sat6 setup
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
Unspecified Unspecified
high Severity medium
: GA
: 5.9.0
Assigned To: Harpreet Kataria
luke couzens
: TestOnly, ZStream
Depends On:
Blocks: 1482667
  Show dependency treegraph
Reported: 2017-06-20 14:17 EDT by luke couzens
Modified: 2018-03-06 09:34 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1482667 (view as bug list)
Last Closed: 2018-03-06 09:34:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description luke couzens 2017-06-20 14:17:33 EDT
Description of problem:sat6 save button broken after changing rhsm details to sat6 setup

Version-Release number of selected component (if applicable):

How reproducible:100%

Steps to Reproduce:
1.provision appliance
2.nav to configuration-settings-region-Red Hat Updates
3.edit registration
4.add details for rhsm
5.validate + save
6.edit registration again
7.change details to sat6 configuration
8.click save

Actual results:Nothing happens, No error message

Expected results:Save completes or Validation required error message.

Additional info:
Also if you try to change 'register to' back to RHSM you get 'Error requesting data from server'
Comment 4 CFME Bot 2017-08-16 12:03:34 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:

commit 1f06bb7cb481bc884262a73610b4606ee5a94a6e
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Jul 28 11:43:47 2017 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Wed Aug 9 06:39:22 2017 -0400

    Fixed save of RH satellite 6 subscription
    Changed code to force user to validate credentials if user has selected to Register to Satellite 6, @edit[:organizations] gets set only when validate button is pressed, @edit[:organizations] is required to be set for satellite 6 to save registration_organization_display_name for MiqDatabase record.
    Added a note under "Validate" button to force user to validate when selecting Satellite 6 in the drop down and disabled "Save" button if validation is not done yet.

 app/controllers/ops_controller/settings/common.rb | 1 +
 app/controllers/ops_controller/settings/rhn.rb    | 8 ++++++++
 app/views/layouts/_auth_credentials2.html.haml    | 4 ++++
 app/views/ops/_settings_rhn_edit_tab.html.haml    | 1 +
 4 files changed, 14 insertions(+)
Comment 6 luke couzens 2017-10-11 07:20:24 EDT
Verified in

Note You need to log in before you can comment on or make changes to this bug.